# OnlineCourse Product for Zope
# Copyright (C) 2001 Maurice Davis <mjd@networklogic.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# See file COPYING.txt
#
#
__doc__ = """OnlineCourse initialization module."""

__version__ = '0.1.0'

from OnlineCourse import OnlineCourse
from ImageFile import ImageFile


misc_={'OnlineCourse': ImageFile('images/folder.gif',globals())}

def initialize(registrar): 
    """Initialize the OnlineCourse Product."""
    
    try:
	"""Try to register the product.""" 
	registrar.registerClass(
	    OnlineCourse,
	    constructors = (OnlineCourse.addOnlineCourseForm, OnlineCourse.addOnlineCourse),
            icon = 'images/folder.gif'
            )
        
    except:
        """If you can't register the product, tell someone."""
        
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
